import React, { Component } from 'react';
import { connect} from 'react-redux';
import * as actions from "../actions/getStaffByCategoryIdAction";
import { bindActionCreators } from "redux";

import CategoryStaffs from '../components/CategoryStaffs'
import LeftMenu from '../container/LeftMenu'
import Header from '../container/Header'

class CategoryStaffInfo extends Component {
    
    componentDidMount(){
        const { getCategorysDataById, match } = this.props
        getCategorysDataById(match.params.id)
        
        console.log(this.state)
    }

    componentDidUpdate(prevProps){
        const { getCategorysDataById, match } = this.props
        if(prevProps.match.params.id !==match.params.id ){
            getCategorysDataById(match.params.id)
        }
    }

    render() {
        const {  infoCategory, isFetching  } = this.props
        console.log(this.props)
        
       
        return (
            <div>
                <Header />
                <div className="contentDiv">
                    <LeftMenu />
                    <CategoryStaffs infoCategory={infoCategory} isFetching={isFetching}  />
                </div>
            </div>
        );
    }
}

const mapStateToProps = state => ({

    infoCategory: state.categoryById.infoCategory,
    isFetching: state.categoryById.isFetching,
    trigger: state.categoryById.trigger,
  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);
  
  export default CategoryStaffInfo = connect(
        mapStateToProps,
        mapDispatchToProps
  )(CategoryStaffInfo);