import * as types from '../constants/actionTypes';

const initState = {
    staffData: [],
    photo: [],
    isFetching: false,
    error: null,
    showModal: false
}

export default ( state = initState, { type, payload } ) => {
    console.log(payload)
    switch (type){
        case types.ADD_NEW_STAFF_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        case types.ADD_NEW_STAFF_REQUEST_SUCCESS: {
            return {
                ...state,
                staffData: state.staffData.concat(JSON.parse(payload.config.data)),
                isFetching:false,
                showModal: true
            }
        }
        case types.ADD_NEW_STAFF_REQUEST_FAIL: {
            return {
                ...state,
                isFetching: false,
                error: "error",
                showModal: true
            }
        }
        case types.CLOSE_MODAL_WINDOW: {
            return {
                ...state,
                showModal: false
            }
        }
        case types.PUSH_NEW_PHOTO_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        case types.PUSH_NEW_PHOTO_REQUEST_SUCCESS: {
            return {
                ...state,
                photo: state.photo.concat(payload),
                isFetching: false,
               
            }
        }
        case types.PUSH_NEW_PHOTO_REQUEST_FAIL: {
            return {
                ...state,
                isFetching: false,
                error: "error",
                
            }
        }
         default: return state;
    }
}